### Class

# WebKit2WebExtension Frame

#### Description [src]

    class WebKit2WebExtension.Frame : GObject.Object {
      parent: GObject,
      priv: WebKitFramePrivate*
    }

A web page frame.

Each `WebKitWebPage` has at least one main frame, and can have any number of subframes.

Available since: | 2.26

#### Hierarchy

#### Ancestors

- GObject

#### Instance methods

###### webkit_frame_get_id

Gets the process-unique identifier of this `WebKitFrame`. No other frame in the same web process will have the same ID; however, frames in other web processes may.

Available since: 2.26

###### webkit_frame_get_javascript_context_for_script_world

Gets the JavaScript execution context of `frame` for the given `WebKitScriptWorld`.

Available since: 2.2

Deprecated since: 2.22

###### webkit_frame_get_javascript_global_context

Gets the global JavaScript execution context. Use this function to bridge between the WebKit and JavaScriptCore APIs.

Available since: 2.2

Deprecated since: 2.22

###### webkit_frame_get_js_context

Get the JavaScript execution context of `frame`. Use this function to bridge between the WebKit and JavaScriptCore APIs.

Available since: 2.22

###### webkit_frame_get_js_context_for_script_world

Get the JavaScript execution context of `frame` for the given `WebKitScriptWorld`.

Available since: 2.22

###### webkit_frame_get_js_value_for_dom_object

Get a `JSCValue` referencing the given DOM object. The value is created in the JavaScript execution context of `frame`.

Available since: 2.22

Deprecated since: 2.40

###### webkit_frame_get_js_value_for_dom_object_in_script_world

Get a `JSCValue` referencing the given DOM object. The value is created in the JavaScript execution context of `frame` for the given `WebKitScriptWorld`.

Available since: 2.22

Deprecated since: 2.40

###### webkit_frame_get_uri

Gets the current active URI of `frame`.

Available since: 2.2

###### webkit_frame_is_main_frame

Gets whether `frame` is the main frame of a `WebKitWebPage`.

Available since: 2.2

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct WebKit2WebExtensionFrameClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class` |
    GObjectClass
| No description available.